> For the complete documentation index, see [llms.txt](https://docs.sonoransoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints-v2/accounts/get-current-clock-in.md).

# Get Current Clock In

<mark style="color:green;">`GET`</mark> `https://api.sonorancms.com/v2/community/accounts/00000000-0000-0000-0000-000000000000/clock/current`

> **Rate limit:** `27 requests per minute`

> Authenticated v2 endpoints are rate limited per credential rather than per IP address.

Retrieve the current clock-in state for an account.

## Route Parameters

\| Name | Type | Required | Description |

\| --- | --- | --- | --- |

\| `accountId` | string (uuid) | Yes | Target accountId. |

## Query Parameters

\| Name | Type | Required | Description |

\| --- | --- | --- | --- |

\| `accId` | string | Yes | See example request for the shape. |

## Example Request

{% tabs %}
{% tab title="Sonoran.lua" %}

```lua
local Sonoran = require("sonoran")

local sonoran = Sonoran.createClient({
  product = Sonoran.productEnums.CMS,
  apiKey = "YOUR_API_KEY",
  communityId = "YOUR_COMMUNITY_ID",
  defaultServerId = 1,
  timeoutMs = 30000,
})

local accountId = "00000000-0000-0000-0000-000000000000"
local query = {
  ["accId"] = "00000000-0000-0000-0000-000000000000"
}

local response = sonoran.cms:getCurrentClockInV2(accountId, query)

if response.success then
  print(response.data)
else
  print(response.reason)
end
```

{% endtab %}

{% tab title="Sonoran.js" %}

```javascript
const Sonoran = require("sonoran.js");

const instance = Sonoran.instance({
  apiKey: "YOUR_API_KEY",
  communityId: "YOUR_COMMUNITY_ID",
  product: Sonoran.productEnums.CMS,
  serverId: 1,
});

async function main() {
  const accountId = "00000000-0000-0000-0000-000000000000";
  const query = {
  "accId": "00000000-0000-0000-0000-000000000000"
};

  const response = await instance.cms.getCurrentClockInV2(accountId, query);

  if (response.success) {
    console.log(response.data);
  } else {
    console.error(response.reason);
  }
}

main().catch((error) => {
  console.error(error);
});
```

{% endtab %}

{% tab title="Sonoran.py" %}

```python
from sonoran import Instance, productEnums

instance = Instance(
    apiKey="YOUR_API_KEY",
    communityId="YOUR_COMMUNITY_ID",
    product=productEnums.CMS,
    serverId=1,
)

accountId = "00000000-0000-0000-0000-000000000000"
query = {
  "accId": "00000000-0000-0000-0000-000000000000"
}

response = instance.cms.getCurrentClockInV2(accountId, query)

if response.success:
    print(response.data)
else:
    print(response.reason)
```

{% endtab %}

{% tab title="Sonoran.Net" %}

```csharp
using Sonoran;
using System.Text.Json;

using var sonoran = new SonoranClient(new SonoranClientOptions
{
    product = SonoranProduct.CMS,
    apiKey = "YOUR_API_KEY",
    communityId = "YOUR_COMMUNITY_ID",
    defaultServerId = 1
});

var accountId = "00000000-0000-0000-0000-000000000000";
var query = new {
  accId = "00000000-0000-0000-0000-000000000000"
};

var response = await sonoran.Cms.getCurrentClockInV2(accountId, query);

if (response.success)
{
    Console.WriteLine(JsonSerializer.Serialize(response.data));
}
else
{
    Console.WriteLine(response.reason);
}
```

{% endtab %}

{% tab title="OpenAPI" %}

```yaml
openapi: "3.0.3"

info:

  title: "Sonoran CMS v2 - Get Current Clock In"

  version: "1.0.0"

  description: "Retrieve the current clock-in state for an account."

servers:

  -

    url: "https://api.sonorancms.com"

paths:

  /v2/community/accounts/{accountId}/clock/current:

    get:

      summary: "Get Current Clock In"

      operationId: "getCurrentClockIn"

      parameters:

        -

          description: "Target account UUID."

          name: "accountId"

          in: "path"

          schema:

            type: "string"

            format: "uuid"

          required: true

        -

          description: "Target API identifier. Provide exactly one identifier."

          name: "apiId"

          in: "query"

          schema:

            type: "string"

          required: false

        -

          description: "Target username. Provide exactly one identifier."

          name: "username"

          in: "query"

          schema:

            type: "string"

          required: false

        -

          description: "Target Discord id. Provide exactly one identifier."

          name: "discordId"

          in: "query"

          schema:

            type: "string"

          required: false

        -

          description: "Target community unique id. Provide exactly one identifier."

          name: "uniqueId"

          in: "query"

          schema:

            type: "integer"

          required: false

      security:

        -

          bearerAuth: []

      responses:

        "200":

          description: "Successful response"

          content:

            application/json:

              schema:

                type: "object"

              example:

                success: true

                data:

                  id: "55555555-5555-5555-5555-555555555555"

                  startTime: "2026-04-15T00:00:00.000Z"

                  endTime: null

                  completed: false

                  notes: []

                  type: "patrol"

                meta:

                  timestamp: "2026-04-15T00:00:00.000Z"

                  path: "/v2/community/accounts/00000000-0000-0000-0000-000000000000/clock/current"

components:

  securitySchemes:

    bearerAuth:

      type: "http"

      scheme: "bearer"

      bearerFormat: "JWT"
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl --request GET \

  --url "https://api.sonorancms.com/v2/community/accounts/00000000-0000-0000-0000-000000000000/clock/current?accId=00000000-0000-0000-0000-000000000000" \

  --header "Authorization: Bearer YOUR_API_KEY" \

  --header "Accept: application/json"
```

{% endtab %}
{% endtabs %}

## Response

The `data` value is either the active clock row or the string `"Not Clocked In"` when the account has no open clock.

```json

{

  "success": true,

  "data": {

    "id": "55555555-5555-5555-5555-555555555555",

    "startTime": "2026-04-15T00:00:00.000Z",

    "endTime": null,

    "completed": false,

    "notes": [],

    "type": "patrol"

  },

  "meta": {

    "timestamp": "2026-04-15T00:00:00.000Z",

    "path": "/v2/community/accounts/00000000-0000-0000-0000-000000000000/clock/current"

  }

}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints-v2/accounts/get-current-clock-in.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
